OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.EXT.LightTexture

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the EXT_light_texture extension, see http://www.opengl.org/registry/specs/EXT/light_texture.txt.

Synopsis

- glApplyTexture :: GLenum -> IO ()
- glTextureLight :: GLenum -> IO ()
- glTextureMaterial :: GLenum -> GLenum -> IO ()
- gl_FRAGMENT_MATERIAL :: GLenum
- gl_FRAGMENT_NORMAL :: GLenum
- gl_FRAGMENT_DEPTH :: GLenum
- gl_FRAGMENT_COLOR :: GLenum
- gl_ATTENUATION :: GLenum
- gl_SHADOW_ATTENUATION :: GLenum
- gl_TEXTURE_APPLICATION_MODE :: GLenum
- gl_TEXTURE_LIGHT :: GLenum
- gl_TEXTURE_MATERIAL_FACE :: GLenum
- gl_TEXTURE_MATERIAL_PARAMETER :: GLenum

# Functions

glApplyTexture :: GLenum -> IO ()

glTextureLight :: GLenum -> IO ()

glTextureMaterial :: GLenum -> GLenum -> IO ()

# Tokens

gl_FRAGMENT_MATERIAL :: GLenum

gl_FRAGMENT_NORMAL :: GLenum

gl_FRAGMENT_DEPTH :: GLenum

gl_FRAGMENT_COLOR :: GLenum

gl_ATTENUATION :: GLenum

gl_SHADOW_ATTENUATION :: GLenum

gl_TEXTURE_APPLICATION_MODE :: GLenum

gl_TEXTURE_LIGHT :: GLenum

gl_TEXTURE_MATERIAL_FACE :: GLenum

gl_TEXTURE_MATERIAL_PARAMETER :: GLenum